<template>
  <div id="app">
    <li v-for="(d, i) in routes" :key="i">
      <router-link :to="d.path">{{ d.label }}</router-link>
    </li>
    <div class="container">
      <router-view />
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      routes: [
        { label: "题目1", path: "/test1" },
        { label: "题目2", path: "/test2" },
        { label: "题目3", path: "/signUp" },
        { label: "题目4", path: "/test4" }
      ]
    };
  }
};
</script>

<style lang="scss" scoped>
.container {
  padding: 50px 0;
}
</style>
